// AABB - [2020-04-13 11:57:46]
#ifndef _ANDROIDAPP_H_
#define _ANDROIDAPP_H_

#include "common.h"
#include <jni.h>

/*
0026A244 AndroidApp_SetupJNI(_JNIEnv *,jclass *)
0026A260 AndroidApp_GetJNI()
0026A2B0 AndroidApp_CheckJNI(_JNIEnv *)
0026A2D8 AndroidApp_GetContext()
0026A2E4 AndroidApp_RegisterPackageName(char const*)
0026A324 AndroidApp_GetPackageName()
0026A330 AndroidApp_FindJavaClass(char const*)
0026A38C AndroidApp_FindFTTJavaClass(char const*)
0026A3E0 AndroidApp_IsCpuX86()
0026A3FA AndroidApp_GetNEONAvailable()
0026A418 AndroidApp_GetTotalRAMInKB()
0026A464 AndroidApp_GetPushNotificationsInstance()
0026A4B0 AndroidApp_GetAdSupportInstance()
0026A4FC AndroidApp_GetGooglePlusManagerInstance()
0026A548 AndroidApp_GetFBAudienceManagerInstance()
0026A594 AndroidApp_GetFacebookManagerInstance()
0026A5E0 AndroidApp_GetHttpDownloadManagerInstance()
0026A62C AndroidApp_GetBannerAdManagerInstance()
0026A678 AndroidApp_GetAnalyticsManagerInstance()
0026A6C4 AndroidApp_GetAdjustTrackerInstance()
0026A710 AndroidApp_GetNativeDialogInstance()
*/

void AndroidApp_CheckJNI(JNIEnv* a1);
jclass AndroidApp_FindFTTJavaClass(char const* name);
jclass AndroidApp_FindJavaClass(char const* name);
jobject AndroidApp_GetAdSupportInstance();
jobject AndroidApp_GetAdjustTrackerInstance();
jobject AndroidApp_GetAnalyticsManagerInstance();
jobject AndroidApp_GetBannerAdManagerInstance();
jobject AndroidApp_GetContext();
jobject AndroidApp_GetFBAudienceManagerInstance();
jobject AndroidApp_GetFacebookManagerInstance();
jobject AndroidApp_GetGooglePlusManagerInstance();
jobject AndroidApp_GetHttpDownloadManagerInstance();
JNIEnv* AndroidApp_GetJNI();
uint32 AndroidApp_GetNEONAvailable();
jobject AndroidApp_GetNativeDialogInstance();
char* AndroidApp_GetPackageName();
jobject AndroidApp_GetPushNotificationsInstance();
int AndroidApp_GetTotalRAMInKB();
bool AndroidApp_IsCpuX86();
void AndroidApp_RegisterPackageName(const char* a1);
jint AndroidApp_SetupJNI(JNIEnv* env, jobject obj);

int FTTMEM_PlatformFreeDiskSpace();  // 0026CEB4
// 00274DB0
int FTTNet_GetReachability();
#endif  //_ANDROIDAPP_H_